@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root{
  --primary-color:#ed1d24;
  --primary-color-dark:#b80314;
  --white:#ffffff;
  --max-width:1200px
}
*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
img{
  display: flex;
  width: 100%;
}
a{
  text-decoration: none;
  transition: 0.3s;
}
ul{
  list-style: none;
}
body{
  font-family: "Roboto",sans-serif;
}
.main{
  position: relative;
  isolation: isolate;
  min-height: 100vh;
  background-image: url(header.png);
  background-position: center center;
  background-size:cover ;
  background-repeat: no-repeat;  
  background-color:#060604 ;
}
.main::before{
  position: absolute;
  content: "";
  inset: 0;
  opacity: 1;
  background-color: #060604;
  z-index: 999;
  animation: main-slider 2s ease-in-out forwards;
}
@keyframes main-slider {
   90%{
      opacity:0 ;
      transform: translateX(0);
   }
   100%{
    opacity: 0;
    transform: translateX(-100%);
   }
}
nav{
  position: fixed;
  isolation: isolate;
  width: 100%;
  z-index: 9;
}
.nav__header{
  padding:12px 16px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color:var(--primary-color);
}
.nav__logo a img{
  max-width: 75px;
}
.nav__menu__btn{
  font-size: 24px;
  color: var(--white);
  cursor: pointer;
}
.nav__links{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 32px;
  padding: 32px;
  background-color: var(--primary-color);
  transition: transform 0.5s;
  z-index: -1;
}
.nav__links.open{
  transform: translateY(100%);
}
.nav__links a{
  color: var(--white);
  white-space: nowrap;
}
.header__container{
  max-width: var(--max-width);
  margin: auto;
  padding: 80px 16px;

}

.header__container h1{
  margin-bottom: 32px;
  display: flex;
  align-items: flex-end;
  gap: 0 16px;
  flex-wrap: wrap;
  font-weight: 800;
  color: var(--white);
  font-family: "Roboto Slab",sans-serif;
}
.header__container h1 span:nth-child(1){
  font-size: 96px;
  line-height: 96px;
}
.header__container h1 span:nth-child(2){
  font-size: 32px;

}
.header__container p{
  margin-bottom: 2rem;
  max-width: calc((var(--max-width))/2);
  line-height: 1.75rem;
  color: var(--white);
}
button{
  padding: 1.5rem 2rem;
  margin-bottom:1.5rem;
  outline: none;
  border: none;
  font-size: 1rem;
  font-family: "Roboto",sans-serif;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 0.25rem;
  transition: 0.3s;
  cursor: pointer;
}
button:hover{
  background-color: var(--primary-color-dark);
}
.socials{
  display: flex;
  align-items: center;
  gap: 1rem;
}
.socials a{
  display: inline-flex;
  padding: 9px 10px;
  font-display: 1.2rem;
  color: var(--white);
  border: 1px solid var(--primary-color);
  border-radius: 100%;
}
.socials a:hover{
  color: var(--primary-color);
  background-color: var(--white);
  border-color: var(--white);
}
@media(width>540px){
  .header__Container h1 span:nth-child(1){
    font-size: 8rem;
    line-height: 7.5rem;
  }
}
@media(width>768px)
{
  nav{
    position: static;
    padding:32px 16px ;
    max-width: var(--max-width);
    margin-inline: auto;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 48px;
  }
  .nav__header{
    width: fit-content;
    padding: 0;
    background-color: transparent;
  }
  .nav__logo a img{
    max-width: 120px;
  }
  .nav__menu__btn{
    display: none;
  }
  .nav__links{
    position: static;
    width: fit-content;
    padding: 0;
    flex-direction: row;
    gap:  48px;
    background-color: transparent;
    transform: none !important;
  }
  .nav__links a:hover{
    color:  var(--primary-color);
  }
  .header__Container h1 span:nth-child(1){
    font-size: 10rem;
    line-height: 9rem;
  }
}